Name:		connectagram
Version:	1.2.4
Release:	%mkrel 1
Summary:	A word unscrambling game
Group:		Games/Puzzles
License:	GPLv3+
URL:		http://gottcode.org/connectagram
Source:		http://gottcode.org/connectagram/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

%description
Connectagram is a word unscrambling game. The board consists of several
scrambled words that are joined together. You can choose the length of
the words, the amount of words, and the pattern that the words are
arranged in. The game provides a hint option for times when you are
stuck, and features an online word lookup that fetches the definitions
of each word from Wiktionary. Your current progress is automatically
saved.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Oct 16 2016 vaci0 <vaci0> 1.2.4-1.mga6
+ Revision: 1061138
-New version 1.2.4

* Sat Oct 08 2016 akien <akien> 1.2.3-1.mga6
+ Revision: 1059610
- Version 1.2.3

* Tue Jan 12 2016 akien <akien> 1.2.1-1.mga6
+ Revision: 922135
- Version 1.2.1
- Build with Qt 5
- Adds man page and appdata entry

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 746506
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 678526
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 1.1.2-1.mga5
+ Revision: 585450
- new version 1.1.2
- update summary and description
- drop desktop file patch

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 503478
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 348115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 vaci0 <vaci0> 1.0.1-1.mga3
+ Revision: 274751
- imported package connectagram

